Bug 469901 - system.listPackages doesn't include arch info
system.listPackages doesn't include arch info
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Dobies
John Matthews
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-11-04 12:14 EST by Justin Sherrill
Modified: 2009-09-10 15:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-11-04 12:14:18 EST
system.listPackages doesn't include arch info, only NVRE

this should include the arch if available :/
Comment 1 Jay Dobies 2009-02-11 16:50:58 EST
Spacewalk Commit: a27d721973ae9434f58679bd9ae042e7dd59b57c
-> System_queries.xml
-> SystemHandler.java

Added architecture to query. Updated XMLRPC API docs in SystemHandler.java.


Internal SVN: r181357
-> /rpcapi/530/java/src/com/redhat/rhn/rpc/api/system/listPackages.java

Updated QA XMLRPC API tests to look for architecture.
Comment 2 John Matthews 2009-03-20 16:04:32 EDT
Verified
ISO: Satellite-5.3.0-RHEL5-re20090306.2-i386-embedded-oracle.iso
Comment 3 Sayli Karmarkar 2009-08-13 16:39:23 EDT
>>> server.system.listPackages(key, 1000013080)
[{'release': '3', 'epoch': ' ', 'version': '3.15.2', 'arch': 'i386', 'name': 'MAKEDEV'}, {'release': '5.el4', 'epoch': ' ', 'version': '0.3.1', 'arch': 'i386', 'name': 'NetworkManager'}]

Moving to release_pending,
Comment 4 Brandon Perkins 2009-09-10 15:53:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.